VME BPM - Task #9749
Milestone # 9746 (Closed): Comission F4 and SSB nodes

Configure processors at F4 and SSB
07/28/2015 10:18 AM - John Diamond

Status: Closed Start date: 07/28/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 4.00 hours
Target version: Spent time: 5.25 hours
Description

Configure networking for new F4 and SSB nodes.
Prefer to run VxWorks 6.4 - may be necessary to update the boot loader on these boards.

History

#1 - 07/28/2015 10:20 AM - John Diamond

- Tracker changed from Milestone to Task

#2 - 07/28/2015 11:12 AM - John Diamond

| was wrong - prefer VxWorks 5.5 as that is what we run on the 2434s.

#3 - 08/06/2015 02:19 PM - John Diamond

Configured sbpmf4:

boot device : dc

unit number : 0

processor number : 0

host name : fecode-bd

file name : vxworks_boot/kernel/mv2400/v5_5_/vxWorks.100fd.512mb
inet on ethernet (e) : 131.225.127.116:ff£f£f£f£00

host inet (h) : 131.225.121.145

gateway inet (g) : 131.225.127.200

user (u) : vxworks_boot

flags (f) : 0x0

target name (tn) : sbpmf4_0xclb

startup script (s) : vxworks_boot/fe/sbpmfd/sbpmfidstartup

Looks like there is a 2401 kernel supporting 512MB of memory (from Tev BPM?). Trying to use that but right now having problems downloading the
kernel from nova:

Attached TCP/IP interface to dcO.
Attaching network interface 1lo0... done.
Loading... rshd: Login incorrect.
Error loading file: errno = 0x250002.
Appears there is a procedure for registering a new host to download kernels from nova:
1. ssh to chablis.fnal.gov
2. ksu vxworks_boot
3. addhosts [node]
Trying to ssh to chablis but apparently | never requested an account. Submitted a request.

#4 - 08/07/2015 11:07 AM - John Diamond

Got an account on chablis, must:
outland$ ssh vxworks_boot@chablis
/usr/local/bin/xauth: timeout in locking authority file /fecode-bd/.Xauthority

Use 'addhost' to add vxworks boot client nodes.
[vxworks_boot@chablis ~]$ addhost

#5 - 08/07/2015 11:10 AM - John Diamond

Apparently the 2401 has to have the port set to 100mpbs/full-duplex. Requested that Steve do this for sbpmf4 and sbpmsb. Have sbpmf4 booting
with the following config:

boot device : dcO

processor number : 0

host name : fecode-bd

file name : vxworks_boot/kernel/mv2400/v5_5/vxWorks.100fd.512mb
inet on ethernet (e) : 131.225.127.116:ffffff00

inet on backplane (b):

host inet (h) : 131.225.121.145

gateway inet (g) : 131.225.127.200

user (u) : vxworks_boot

ftp password (pw) (blank = use rsh):

flags (f) : 0x0

target name (tn) : sbpmf4_0xclb

startup script (s) : vxworks_boot/fe/sbpmf4d/sbpmfistartup
other (o) 8

However, running into the following problem when loading pmcucd libraries:
-> 1d < vxworks_boot/v5.5/module/mv2401/pmcclassLib-0.3.0out

Relocation value does not fit in 24 bits.
Relocation value does not fit in 24 bits.

A quick Google found out the cause of this error message: http:/stackoverflow.com/questions/7378376/relocation-value-does-not-fit-in-24-bits

Contacted Charlie and asked him to look into this.

#6 - 08/07/2015 11:44 AM - John Diamond

Charlie says the 2434 version of pmcclasslib uses -mlongcall. Changed that and the classacnet library to use the 2434 version and those loaded
without error. It not appears that | need to build a 2401 timing library...

#7 - 08/07/2015 11:55 AM - John Diamond
- % Done changed from 0 to 50

Looks like F4 is booting now. Waiting on a TCLK connection.
Steve says that he will get around to hooking up SSB this afternoon or Monday.

#8 - 08/07/2015 04:42 PM - John Diamond

sbpmsb is hooked up and ready to be configured.

#9 - 08/26/2015 02:57 PM - John Diamond

Configured processor at SSB:

boot device : dcO

processor number : 0

host name : fecode-bd

file name : vxworks_boot/kernel /mv2400/v5_5/vxWorks.100fd.512mb
inet on ethernet (e) : 131.225.127.3:fff£f£f£f00

inet on backplane (b):

host inet (h) : 131.225.121.145

gateway inet (g) : 131.225.127.200

user (u) : vxworks_boot

ftp password (pw) (blank = use rsh):

flags (f) : 0x0

target name (tn) : sbpmsb_0xclc

startup script (s) : vxworks_boot/fe/sbpmsb/sbpmsbstartupx
other (o) g

#10 - 08/26/2015 02:57 PM - John Diamond
- Status changed from New to Closed

- % Done changed from 50 to 100
